using CommunityToolkit.Mvvm.ComponentModel;

using Dock.Model.Core;

namespace InkForge.Desktop.ViewModels;

public class MainViewModel : ObservableObject
{
	public IDock Layout { get; }

	public MainViewModel(InkForgeFactory factory)
	{
		Layout = factory.CreateLayout();
		factory.InitLayout(Layout);
	}
}
